package com.qianhe.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import com.qianhe.common.annotation.Excel;

import java.util.Date;

/**
 * 节点对象 work_jd
 *
 * @author qianhe
 * @date 2024-01-18
 */
@Data
public class WorkJd
{
    /** 主键id */
    private Long id;

    /** 节点名称 */
    @Excel(name = "节点名称")
    private String jdmc;

    /** 负责人id */
    @Excel(name = "负责人id")
    private Long fzrId;

    /** 负责人 */
    @Excel(name = "负责人")
    private String fzr;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 删除状态 */
    private String delFlag;
}
